/*
 * GoodSuffixShiftTable.cpp
 *
 *  Created on: 23. 3. 2017
 *      Author: Jan Travnicek
 */

#include "GoodSuffixShiftTable.h"

namespace string {

namespace properties {

std::vector < size_t > GoodSuffixShiftTable::gss ( const string::String & pattern ) {
	return dispatch ( pattern.getData ( ) );
}

auto GoodSuffixShiftTableLinearString = GoodSuffixShiftTable::RegistratorWrapper < std::vector < size_t >, string::LinearString < > > ( GoodSuffixShiftTable::gss );

} /* namespace properties */

} /* namespace string */
