/*
 * BoyerMoore.cpp
 *
 *  Created on: 23. 3. 2017
 *      Author: Jan Travnicek
 */

#include "BoyerMoore.h"

namespace stringology {

namespace exact {

std::set<unsigned> BoyerMoore::match(const string::String& subject, const string::String& pattern) {
	return dispatch(subject.getData(), pattern.getData());
}

auto BoyerMooreLinearStringLinearString = BoyerMoore::RegistratorWrapper<std::set<unsigned>, string::LinearString < >, string::LinearString < >>(BoyerMoore::match);

} /* namespace exact */

} /* namespace stringology */
